
import org.chocosolver.solver.Solver;

public class MainClass {

    public static void main(String[] args) {

        // Le main ne devrait contenir que les 5 fonctions correspondantes aux etapes du pipeline
        generateInitialSchedule();

        // Creer les simulation avec une autre classe. Faire un nouveau package de fonctions.
        // Algo de recouvrement d'absences. Faire un nouveau package de fonctions.
        // Trouver meilleure solution et l'afficher.
    }

    private static void generateInitialSchedule() {

        InitialSchedules.ParametersInitialSchedules myScheduleParameters
                = new InitialSchedules.ParametersInitialSchedules();

        InitialSchedules.ModelInitialSchedules myModelInitialSchedules
                = new InitialSchedules.ModelInitialSchedules(myScheduleParameters);

        Solver solverInitialSchedules = myModelInitialSchedules.chocoModelInitialSchedules.getSolver();
        solverInitialSchedules.findSolution();
//        Solution bestInitialSchedules = solverInitialSchedules.findOptimalSolution
//        		(myModelInitialSchedules.scheduleProfit, Model.MINIMIZE);

        // fonction pour reduire le nombre d'horaire dans la banque d'horaire.
//        InitialSchedules.UtilInitialSchedules.refineInitialSchedules(bestInitialSchedules);
        // On pourrait creer un petit interface pour afficher les horaires optimales et les statistiques.
        InitialSchedules.UtilInitialSchedules.printSolutionResults(myModelInitialSchedules, myScheduleParameters);
        solverInitialSchedules.printStatistics();

        //TODO Creer objet banque horaire
    }
}
